Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.acl
Class OwnerImpl

    java.lang.Object
      |
      +--weblogic.security.acl.OwnerImpl

Direct Known Subclasses:
  AclImpl

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by the rules-based Authorization Provider in the Pluggable Security Infrastructure.

public class OwnerImpl
extends java.lang.Object
implements java.security.acl.Owner, java.io.Serializable

OwnerImpl implements Owner to manage owners of Access Control Lists (ACLs) or ACL configurations. (Note that the Acl interface in the `java.security.acl` package extends this Owner interface.)

An ACL must always have at least one owner.

Author:
  Copyright (c) 1997-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
See Also:
  `Owner`, `Acl`, Serialized Form

Constructor Summary
`OwnerImpl(java.security.Principal principal)` Deprecated. Constructs an owner with an initial principal.

Method Summary
`boolean` | `addOwner(java.security.Principal caller, java.security.Principal principal)` Deprecated. Adds an owner.
`boolean` | `deleteOwner(java.security.Principal caller, java.security.Principal principal)` Deprecated. Deletes an owner.
`boolean` | `isOwner(java.security.Principal principal)` Deprecated. Determines whether the given principal is an owner of the ACL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OwnerImpl

    public OwnerImpl(java.security.Principal principal)

  Deprecated.
  Constructs an owner with an initial principal.

Method Detail

### addOwner

    public boolean addOwner(java.security.Principal caller,
                            java.security.Principal principal)
                     throws java.security.acl.NotOwnerException

  Deprecated.
  Adds an owner. Only owners can modify ACL contents. The caller principal must be an owner of the ACL in order to invoke this method; that is, only an owner can add another owner. The initial owner is configured when the ACL is constructed.

  The method returns false if the proposed owner is already an owner. An exception is thrown if the Principal caller is not an owner of the ACL.

  Specified by:
    addOwner in interface java.security.acl.Owner

  Parameters:
    `caller` - Principal that is an owner of the ACL
    `owner` - Principal that should be added to the list of owners
  Returns:
    true if successful, false if owner is already an owner.
  Throws:
    java.security.acl.NotOwnerException - if the caller Principal is not an owner of the ACL

### deleteOwner

    public boolean deleteOwner(java.security.Principal caller,
                               java.security.Principal principal)
                        throws java.security.acl.NotOwnerException,
                               java.security.acl.LastOwnerException

  Deprecated.
  Deletes an owner. If this is the last owner in the ACL, an exception is raised, since an ACL must have at least one owner. The method returns true if the operation is successful, false if the proposed owner to be deleted is not found in the list of owners.

  The caller principal must be an owner of the ACL to invoke this method.

  Specified by:
    deleteOwner in interface java.security.acl.Owner

  Parameters:
    `caller` - Principal that is an owner of the ACL
    `owner` - Principal to be removed from the list of owners
  Returns:
    true if the owner is removed
  Throws:
    java.security.acl.NotOwnerException - if the caller Principal is not an owner of the ACL
    java.security.acl.LastOwnerException - if the owner proposed for deletion is the last owner

### isOwner

    public boolean isOwner(java.security.Principal principal)

  Deprecated.
  Determines whether the given principal is an owner of the ACL.
  Specified by:
    isOwner in interface java.security.acl.Owner

  Parameters:
    `owner` - Principal to be verified as an owner
  Returns:
    true if the Principal is in the list of owners

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference